"""
RetinaNet介绍:
    1、是由一个主干网和两个任务子网络组成的简单同一网络。主干网使用卷积神经网络负责从整个图片提取特征，
       将主干网络提取到的特征送入两个子网络: 第一个子网络使用卷积分类，第二个子网络使用卷积来边框回归。
    2、分类子网络和边框回归子网络共享结构，参数独立。
    3、子网络是附加在FPN的每一层的一个小的FCN；参数共享。
       对于给定的金字塔层级输出的C个通道的Feature Map，子网络使用4个3×3的卷积层，每层的通道数任然是C，接着是一个ReLU激活层；
       然后跟一个通道数位KA(K是类别数，A是anchor数)的3×3的卷积层；最后使用sigmoid激活函数。

创新点：
    1、提出使用 Focal Loss 解决正负样本不均衡的问题。
    2、backbone 输出三种尺度的特征图，每一种尺度的特征图都有两个自网络，分别用于处理类别与边框任务。

Reference: https://arxiv.org/pdf/1708.02002.pdf
"""


def retina_net():
    pass


def retina_resnet50():
    pass
